API Explorer 935 endpoints

Get Account Access by USER_ID

GET /obp/v7.0.0/users/USER_ID/account-access

OBPv5.1.0-getAccountAccessByUserId Roles: CanSeeAccountAccessForAnyUser Account

Get Account Access by USER_ID

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

USER_ID: 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1

JSON response body fields (4)
account_id
8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0
accounts
bank_id
gh.29.uk
view_id
owner
Example success response
{
  "accounts": [
    {
      "bank_id": "gh.29.uk",
      "account_id": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0",
      "view_id": "owner"
    }
  ]
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20057: User not found by userId.
  • OBP-50000: Unknown Error.
  • OBP-20006: User is missing one or more roles:
Implemented by OBPv5.1.0 getAccountAccessByUserId Originally /obp/v5.1.0/users/USER_ID/account-access